package com.red.circle;

import com.red.circle.framework.cloud.annotation.RedCircleCloudApplication;
import lombok.extern.slf4j.Slf4j;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.web.socket.config.annotation.EnableWebSocketMessageBroker;

/**
 * Spring Boot Starter.
 *
 * @author pengliang on 2023/11/29
 */
@Slf4j
@RedCircleCloudApplication
@EnableWebSocketMessageBroker
@EnableScheduling
@MapperScan("com.red.circle.game.fruit.infrastructure.database.dao")
public class GameFruitApplication {

  public static void main(String[] args) {
    log.info("Begin to start Spring Boot Application");
    long startTime = System.currentTimeMillis();
    SpringApplication.run(GameFruitApplication.class, args);
    long endTime = System.currentTimeMillis();
    log.info("End starting Spring Boot Application, Time used: " + (endTime - startTime));
  }

}
